# Request crypto withdrawal approval status

## Fetch crypto withdrawal approval by ID

> Fetch crypto withdrawal approval by ID. The withdrawal ID is provided in the response of \`POST /withdrawals\`.

```json
{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://api.naewe.com","description":"Generated server url"}],"security":[{"ApiKeyAuth":["GET_WITHDRAWALS"]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"^FRX-API api-key=[^,]+,signature=[^,]+,timestamp=[\\d]+$","name":"Authorization","in":"header"}},"schemas":{"CryptoWithdrawalApprovalStatusResponse":{"required":["status"],"type":"object","properties":{"status":{"type":"string","enum":["SKIPPED","PENDING","APPROVED","REJECTED"]}}}}},"paths":{"/v1/payment/crypto-withdrawal-approvals/{withdrawalId}":{"get":{"summary":"Fetch crypto withdrawal approval by ID","description":"Fetch crypto withdrawal approval by ID. The withdrawal ID is provided in the response of `POST /withdrawals`.","operationId":"fetch-crypto-withdrawal-approval","parameters":[{"name":"withdrawalId","in":"path","description":"ID of the crypto withdrawal.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Returns the status of the specified crypto withdrawal approval.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoWithdrawalApprovalStatusResponse"}}}}}}}}}
```
